Bug 733861 - update to flexdock >= 0.5.2
Summary: update to flexdock >= 0.5.2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: flexdock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: D Haley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 472639
TreeView+ depends on / blocked
 
Reported: 2011-08-27 20:39 UTC by Rex Dieter
Modified: 2011-11-16 10:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 22:17:20 UTC


Attachments (Terms of Use)
Patch (19.67 KB, patch)
2011-08-28 13:05 UTC, Clément DAVID
no flags Details | Diff

Description Rex Dieter 2011-08-27 20:39:45 UTC
scilab (under review, bug #472639 ), seems to require a flexdock 0.5.2 , so an update would be nice. :)

Comment 1 Sylvestre Ledru 2011-08-28 06:58:10 UTC
This update is straightforward. There are no ABI/API changes. Mainly a bug fixes release.

Comment 2 Clément DAVID 2011-08-28 13:05:47 UTC
Created attachment 520222 [details]
Patch

I already sent a private mail to the maintainer with the attached path but I got no answers :(.

I (FAS: davidcl) can help to maintain this package (maybe as a co-maintainer).

Comment 3 Clément DAVID 2011-08-28 14:14:42 UTC
Koji build of a flexdock patched repo : http://koji.fedoraproject.org/koji/taskinfo?taskID=3307512

Comment 4 D Haley 2011-08-30 20:41:19 UTC
Hello,

I am the tardy maintainer. I saw your email, but haven't managed to look at it yet. I'll have a look at this in the next two days. 

Just quickly, 
1) some parts of the patch seemed to be unnecessary?  I.e. no non ws changes -- Am I reading that right? 
2) You change com/org notation throughout the patch, but miss changing the demo bits -- there may be more, as I only looked at the patch context. Its possible some of this does not hit the build, but it might be nice to be consistent -- java is notably bad for inconsistent library paths.

Don't worry about addressing them now (unless I don't respond in the 2 day window), as there is no point pinging this backwards and forwards.

I've given you commit access, so you can proceed without me if I do not reply in a timely manner. If the access doesn't come through (I had problems previously due to the JS used on the access page), then just ping me again.

Comment 5 Clément DAVID 2011-08-31 07:37:27 UTC
Hello,

thanks for the FAS access.

1) I will try to reduce patch size. My major modification is against flexdock-generate-tarball.sh . Are you ok with that part ?

2) I will try to update this patch soon to be more consistent.

Comment 6 D Haley 2011-09-03 14:48:50 UTC
Hi,

I have committed a modified version of your patch, with the whitespace dropped, and I have not included the dropping of the ant task for the demos. Instead I delete the jmf-using demos.

I have not yet initiated an update, but have committed it to the "fedpkg" git repo.

Comment 7 Clément DAVID 2011-09-05 19:30:16 UTC
Hi,

Thanks for the commit, build and run fine for me. I have performed a koji build at  https://koji.fedoraproject.org/koji/taskinfo?taskID=3325522 .

I think we can merge for f16. I need it to complete the Scilab packaging. Are you OK with that ?

Comment 8 D Haley 2011-09-05 22:17:20 UTC
Fine by me. Marking this as closed.

Comment 9 Clément DAVID 2011-11-09 07:03:10 UTC
Any chance to get it on f16 ? scilab depends on flexdock >= 0.5.2


Note You need to log in before you can comment on or make changes to this bug.